Subject: Re: [bug#31933] ‘emacs-emms-next’supports JSON RPC

From: Oleg Pykhalov <[email-masked]>
Date: Wed, 27 Jun 2018 15:37:06 +0300

Hello Pierre,

Pierre Neidhardt <[email-masked]> writes:

> O my, I'm so sorry, I got terribly confused with all the updates happening and
> got carried away into thinking that a new version of Emms had been released
> since 5.0! :/

No problem, :-)

> The changes I was referring to are still on master but there is no new release
> since 5.0.

Ah, now I see.  Thank you for pointing on this.  Seems that Yoni Rabkin
recent patch series beginning are what I'm asking for.

http://git.savannah.gnu.org/cgit/emms.git/commit/?id=55c83369162231b31433cd404466e5641cd90353

> That 3rd implementation of the mpv backend should answer all your
> needs regarding the single-process RPC.
>
> So now:
>
> - Either we upgrade Emms to current master.  There is no urgent need for it as
>   far as Guix is concerned.
>
> - Or we revert my patch.  We can re-apply it later once a new version of Emms
>   has been released.

A third option is to have emacs-emms-next package builded from a master
branch, but we have a policy to stick to release versions.  I'll use the
following package recipe for myself unless somebody wants to have it in
Guix package collection, too.  Fill free to take and push it.

(define-public emms-next
  (let ((commit "9f9a9b81f741692f2d188d1b46e72f2b6db8a9a1"))
    (package
      (inherit emms)
      (name (string-append (package-name emms) "-next"))
      (version (git-version (package-version emms) "1" commit))
      (source
       (origin
         (inherit (package-source emms))
         (uri (string-append
               "https://git.savannah.gnu.org/cgit/emms.git/snapshot/emms-"
               commit ".tar.gz"))
         (sha256
          (base32
           "1wg00dr35h9shs6782s20nds8razqibys9ipzi9aa2kb3yhkdp6q")))))))

Thanks,
Oleg.